package com.ximai.mes.report.service;

import com.ximai.mes.report.request.FeedbackRequest;
import com.ximai.mes.report.response.*;

import java.util.List;

public interface FeedbackService {
    List<FeedbackResponse> getList(FeedbackRequest feedbackRequest);
    List<FeedbackResponseExportByList> export(FeedbackRequest feedbackRequest);

    List<FeedbackResponse> getListByWorkOrder(FeedbackRequest feedbackRequest);

    List<FeedbackResponseExportByWorkOrder> getListByWorkOrderExport(FeedbackRequest feedbackRequest);

    List<FeedbackResponse> getListByWorkshop(FeedbackRequest feedbackRequest);

    List<FeedbackResponseExportByWorkshop> getListByWorkshopExport(FeedbackRequest feedbackRequest);

    List<FeedbackResponse> getListByWorkstation(FeedbackRequest feedbackRequest);

    List<FeedbackResponseExportByWorkstation> getListByWorkstationExport(FeedbackRequest feedbackRequest);

    List<FeedbackResponse> getListByWorkunit(FeedbackRequest feedbackRequest);

    List<FeedbackResponseExportByWorkunit> getListByWorkunitExport(FeedbackRequest feedbackRequest);

    List<FeedbackResponse> getListByProcess(FeedbackRequest feedbackRequest);

    List<FeedbackResponseExportByProcess> getListByProcessExport(FeedbackRequest feedbackRequest);

    List<FeedbackResponse> getListByUser(FeedbackRequest feedbackRequest);

    List<FeedbackResponseExportByUser> getListByUserExport(FeedbackRequest feedbackRequest);


    List<FeedbackResponse> getListByDefect(FeedbackRequest feedbackRequest);

    List<FeedbackResponseExportByDefect> getListByDefectExport(FeedbackRequest feedbackRequest);
}
